[Fusionforge-commits] r12988 - trunk/tests/scripts

Christian Bayle cbayle at fusionforge.org
Sat Apr 2 10:46:30 CEST 2011


Author: cbayle
Date: 2011-04-02 10:46:30 +0200 (Sat, 02 Apr 2011)
New Revision: 12988

Modified:
   trunk/tests/scripts/phpunit.sh
Log:
Return proper return code, kill firefox


Modified: trunk/tests/scripts/phpunit.sh
===================================================================
--- trunk/tests/scripts/phpunit.sh	2011-04-02 08:43:22 UTC (rev 12987)
+++ trunk/tests/scripts/phpunit.sh	2011-04-02 08:46:30 UTC (rev 12988)
@@ -75,6 +75,12 @@
 #LANG=C java -jar selenium-server.jar -singleWindow >/dev/null &
 cd tests
 phpunit --log-junit $WORKSPACE/reports/phpunit-selenium.xml $testsuite
+retcode=$?
 cd ..
+# on debian
 killall -9 firefox-bin
+# on centos
+killall -9 firefox
+# kill java stuffs
 killall -QUIT java
+exit $retcode




More information about the Fusionforge-commits mailing list